/*

CSS stylesheet for the HTML versions of Red Hat Documentation
Created by Tammy Fox <tfox@redhat.com>.

*/

.comment {border-left: solid thin red;
        background-color: #ffff66;
        padding:3px;
        }
.response {border: solid thin red;
        background-color: #ffffff;
        padding:3px;
        }

body	{
        background-color: #ffffff;
        color: #000000;
        margin: 0;
        padding: 0;
        font-family: helvetica, arial,sans-serif;
        font-size: 12pt;
	/* needed so buttons created with css don't bleed into text */
	line-height: 1.3;
	}

body.book, body.article, body.chapter, body.part, body.preface, body.sect1, body.index, body.colophon, body.glossary, body.reference, body.refentry {
        font-family: helvetica, arial,sans-serif;
        font-size: 12pt;
        background-color: #ffffff;
        margin: 0;
        padding : 0;
        }

p, td, th, .variablelist {
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	/* left must be 0 so it lines up */
	margin : 10px 0px 10px 0px; 
	}

div.article p {
        font-family: helvetica, arial, sans-serif;
        font-size: 12pt;
        /* if in article made from XML left must be 10 so it lines up */
        margin : 10px 10px 10px 10px;
        }

li {
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	}

table {
	width: 90%;
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	margin : 0px 0px 0px 0px;
	}

table.note, table.tip, table.important, table.caution, table.warning {
	width: 95%;
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
        border: 2px solid #B0C4DE;
  	background-color: #F0F8FF;
	color: #000000;
	/* padding inside table area */
	padding: 0.5em; 
	margin-bottom: 0.5em;
	margin-top: 0.5em;
	}

/* set width smaller is IE is happy */
ul table.note, ul table.tip, ul table.important, ul table.caution, ul table.warning, ol table.note, ol table.tip, ol table.important, ol table.caution, ol table.warning {
        width: 95%;
        }

.computeroutput, .command {
        font-family: courier, courier new, monospace;
        font-size: 12pt;
	}

.userinput {
        font-family: courier, courier new, monospace;
        font-size: 12pt;
        font-weight: bold;
        }

table.screen {
	width: 95%;
	font-family: courier, courier new, monospace;
	font-size: 12pt;
        border: 2px solid #A9A9A9;
  	background-color: #DCDCDC;
	color: #000000;
	padding: 0.5em;
	margin-bottom: 0.5em;
	margin-top: 0.5em;
	}

table.calstable {
	width: 95%;
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
  	background-color: #DCDCDC;
	color: #000000;
	}

table.calstable td {
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
        border: 1px solid #A9A9A9;
  	background-color: #DCDCDC;
	color: #000000;
	padding: 0.5em;
	margin-bottom: 0.5em;
	margin-top: 2px;
	margin : 0px 0px 0px 10px;	
	}

table.calstable th {
	border: 2px solid #A9A9A9;	
  	background-color: #A9A9A9;
	color: #000000;
	}

.navheader, .navfooter {
        background-color: #ffffff;
        color: #000000;
	/* need top margin so title line isn't touching the top */
	margin : 10px 20px 0px 20px;
        font-family: helvetica, arial,sans-serif;
        font-size: 12pt;
	}

div.navheader hr, div.navfooter hr	{	
	background-color: #CCCCCC;
	margin: 0px 0px 0px 0px;
        height: 1px;
        border-style: none;
	}

div.navheader table, div.navfooter table        {
        width: 95%;
        background-color: #ffffff;
        margin: 0px 0px 0px 0px;
	padding: 0;
	font-family: helvetica, arial,sans-serif;
	font-size: 12pt;
        }

body>div.navheader table, body>div.navfooter table {
        /* Hidden from IE */
        width: 100%;
        }

/* top hr on index page is not in a div so it needs div margins */
hr  	{	
	background-color: #CCCCCC;
	margin: 0px 10px 0px 10px;
        height: 1px;
        border-style: none;
	}

h2, h2.indexdiv	{

	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	font-weight: bold;
	color: #990000;
	}

h3
        {
	font-family: helvetica, arial, sans-serif;
        font-size: 12pt;
        font-weight: bold;
        line-height: 1.4em;
	color: #990000;
        }

h4	
	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	font-weight: bold;
	color: #990000;
	}
	
h5	
	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	font-weight: bold;
	color: #990000;
	}

h6	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
        font-weight: bold;
	color: #666666;
	}

a:link	{
		color:	#000066;
		}
		
a:visited
		{
		color:	#333399;
		}
	
/* not in a div, so need standard left margin */
.footnotes	{
	width: 95%;
	margin : 10px 20px 10px 20px;
	font-size: 12pt;
	}

div.preface, div.colophon, div.chapter, div.appendix, div.index, div.partintro, div.legalnotice, div.glossary, div.refnamediv, div.refsect1 {
        margin : 0px 20px 0px 20px;
        font-family: helvetica, arial, sans-serif;
        }

/* A, B, etc. in Index */
div.indexdiv {
        font-family: helvetica, arial, sans-serif;
	}

div.titlepage  {
        margin : 0px 10px 0px 10px;
        font-family: helvetica, arial, sans-serif;
        }

/* div.sect1 for an article doesn't have the extra padding from a div.chapter */
div.article div.sect1 {
        margin : 0px 10px 0px 10px;
        font-family: helvetica, arial, sans-serif;
       }

/* div.sect1 on same page as div.chapter, etc. with margins and padding already */
div.chapter div.sect1, div.preface div.sect1, div.appendix div.sect1, div.colophon div.sect1 {
        margin : 0px 0px 0px 0px;
        font-family: helvetica, arial, sans-serif;
        padding: 0;
	}
	
/* on separate page without div.chapter, so need same padding */
div.sect1 {
        margin : 0px 20px 0px 20px;
        font-family: helvetica, arial, sans-serif;
	}

/* same as dev.sect1 except no padding because div.sect1 doesn't end before div.sect2, etc.*/
div.sect2, div.sect3, div.sect4 {
	margin : 0px 0px 0px 0px;
	font-family: helvetica, arial, sans-serif;
	padding: 0;
	}

/* chapter, preface, and colophon titles don't have a class */
h1 {
        margin : 0px 0px 0px 0px;
        font-family: helvetica, arial, sans-serif;
        font-size: 18pt;
        font-weight: bold;
        color: #990000;
        }

h1.sect1, h2.sect1 {
	/* already in div.sect1, so no margins */
	margin : 0px 0px 0px 0px;
	font-family: helvetica, arial, sans-serif;
	font-size: 18pt;
	font-weight: bold;
	color: #990000;
	}

h2.sect2, h2.title {
	/* already in div.sect1, so no margins */
	margin : 0px 0px 0px 0px;
        font-family: helvetica, arial, sans-serif;
        font-size: 16pt;
        font-weight: bold;
        color: #990000;
        }

h3.sect3, h3.title {
	/* already in div.sect1, so no margins */
	margin : 0px 0px 0px 0px;
        font-family: helvetica, arial, sans-serif;
        font-size: 14pt;
        font-weight: bold;
        color: #990000;
        }


h4.sect4, h5.sect5, h6.sect6 {
	/* already in div.sect1, so no margins */
	margin : 0px 0px 0px 0px;
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	font-weight: bold;
	color: #990000;
	}

/* book and article titles on index.html page and part title pages */
h1.title	{
	font-family: helvetica, arial, sans-serif;
	font-size: 22pt;
	font-weight: bold;
	color: #990000;
        margin : 10px 10px 10px 10px;
	/* add padding so title is not touching top margin */
        padding: 10 0 0;
	}

body.refentry h1 {
        margin: 0 0 0 20px;
}

div.glossary h1        {
        font-family: helvetica, arial, sans-serif;
        font-size: 22pt;
        font-weight: bold;
        color: #990000;
        margin : 10px 10px 10px 0px;
        /* add padding so title is not touching top margin */
        padding: 10 0 0;
        }


.subtitle	{
	font-family: helvetica, arial, sans-serif;
	font-size: 18pt;
	color:#666666;
	font-weight: bold;
        margin : 10px 10px 10px 10px;
        padding: 0;
	}

b.othername	{
	font-family: helvetica, arial, sans-serif;
	font-size: 18pt;
	color:#666666;
	font-weight: bold;
        margin : 10px 10px 10px 10px;
        padding: 0;
	}

.copyright, .affiliation	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	color:#666666;
	margin : 10px 10px 10px 10px;
	padding: 0;
	}

isbn.isbn	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	color:#666666;
	margin : 10px 10px 10px 10px; 
	padding: 0;
	}

.toc	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
        padding: 0;
	margin : 10px 20px 10px 20px; 
	}

.citetitle {
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	color:#666666;
	font-weight: bold;
	}

div.qandaset big {
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
        color: #990000;
	}

.author	{
	font-family: helvetica, arial, sans-serif;
	font-size: 12pt;
	color:#990000;
	font-weight: bold;
	margin : 10px;
	line-height: 1.4em;
	}

/* make guibuttons look like real buttons */
.guibutton {
	color: #000000;
	font-family: helvetica, arial, sans-serif;
	background-color: #DCDCDC;
	padding: 1px 3px;
	font-size: 10pt;
	border: outset 2px;
	text-decoration: none;
	}

